Node Update Children Property Schema
Updates the property schema of the children of this node. All children of a node use the same schema for properties resulting in a table-like structure and behaviour. See also: NodeUpdatePropertySchema
/nodes/{node_slug}/children/property-schemaUpdates the property schema of the children of this node. All children of a node use the same schema for properties resulting in a table-like structure and behaviour. See also: NodeUpdatePropertySchema
In: cookie
Path Parameters
Unique node Slug.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Mutating property schemas permits updating existing fields as well as
adding new fields. The discinction is determined by the presence of the
id field. When an id field is provided, the operation is treated as
an update operation where any of the other fields will be used to write
new values. If an id field is omitted, the schema is considered a new
field and is subject to a uniqueness constraint on the name field.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/nodes/cc5lnd2s1s4652adtu50/children/property-schema" \ -H "Content-Type: application/json" \ -d '[ { "name": "string", "type": "text", "sort": "string" } ]'{
"properties": [
{
"fid": "cc5lnd2s1s4652adtu50",
"name": "string",
"type": "text",
"sort": "string"
}
]
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Node Update PATCH
Update a node directly. Direct updates are intended for fast edits by members who can manage the target node. If a node has a working draft version, direct updates to versioned page fields are rejected until the draft is applied or deleted. When a direct update changes versioned page fields and no draft exists, the node's `current_version_id` pointer is cleared because the live node no longer exactly represents an applied checkpoint.
Node Update Position PATCH
Update the node's position in the tree, which optionally allows for changing the node's parent either to another node or to `null` which severs the parent and moves the node to the root. This endpoint also allows for moving the node's sort position within either its current parent, or when moving it to a new parent. Use this operation for a draggable tree interface or a table interface.